//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//ODCRegistry.js

var webservice_not_found = "Komponenta webov\u00e9 slu\u017eby '{0}/{1}' nebyla nalezena. ";

//binder.js
var error_on_propertybinder = "Chyba na po\u0159ada\u010di vlastnosti {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Neplatn\u00e1 hodnota {0} pro typ {1}.";

//eclass.js
var unable_create_object = "Nelze vytvo\u0159it eobject bez modelu.";
var name_notexist_model = "{0} neexistuje v modelu pro t\u0159\u00eddu {1}.";
var invalid_value_4type = "Neplatn\u00e1 hodnota {0} pro typ {1}.";
var maximum_size_allowed_attribute = "Maxim\u00e1ln\u00ed povolen\u00e1 velikost je {0} pro atribut {1}.";
var minimum_size_allowed_attribute = "Minim\u00e1ln\u00ed povolen\u00e1 velikost je {0} pro atribut {1}.";
var maximum_size_allowed_reference = "Maxim\u00e1ln\u00ed povolen\u00e1 velikost je {0} pro odkaz {1}.";
var minimum_size_allowed_reference = "Minim\u00e1ln\u00ed povolen\u00e1 velikost je {0} pro odkaz {1}.";

//eobject.js
var invalid_argument="Neplatn\u00fd argument.";
var xml_parse_error = "Xml chyba v \u0159\u00e1dku: {0} Pos: {1} \nzdroj: {2} \nd\u016fvod: {3}";
var missing_model = "Chyb\u011bj\u00edc\u00ed model.";
var reference_missing_inmodel = "Odkaz {0} pro t\u0159\u00eddu {1} chyb\u00ed v modelu.";
var not_a_reference = "{0} nen\u00ed odkaz pro t\u0159\u00eddu {1}.";
var member_missing_inmodel = "\u010clen {0} pro t\u0159\u00eddu {1} chyb\u00ed v modelu.";
var member_not_eatt_or_eref_inmodel = "\u010clen {0} pro t\u0159\u00eddu {1} nen\u00ed ani eatribut ani eodkaz v modelu.";
var member__inmodel = "\u010clen {0} pro t\u0159\u00eddu {1} nen\u00ed ani eatribut ani eodkaz v modelu.";
var reference_not_class = "Odkaz {0} pro t\u0159\u00eddu {1} nen\u00ed t\u0159\u00edda.";
var attribute_not_multivalue_inmodel = "Atribut {1} ve t\u0159\u00edd\u011b {2} nepovoluje multihodnoty.";
var class_missing_inmodel = "{0} pro t\u0159\u00eddu {1} chyb\u00ed v modelu."
var attributecalculate_missing_indata = "Atribut kalkuluj\u00edc\u00ed {0} nesm\u00ed existovat v datech.";
var unable_create_object = "Nelze vytvo\u0159it eobjekt pro vlastnost {0} bez modelu.";
var invalid_property = "Neplatn\u00e1 vlastnost {0}";
var invalid_expression = "Neplatn\u00fd v\u00fdraz {0}.{1}.";
var property_cant_change = "Vlastnost {0} je kalkulovan\u00fd atribut nebo atribut pouze pro \u010dten\u00ed, kter\u00fd nem\u016f\u017ee b\u00fdt zm\u011bn\u011bn."
var root_member_name_missing_error = "Chyb\u00ed n\u00e1zev ko\u0159enov\u00e9ho \u010dlenu pro proch\u00e1zec\u00ed graf.";
var ecore_namespace_missing_error = "Chyb\u00ed obor n\u00e1zv\u016f Ecore pro generov\u00e1n\u00ed diagramu.";
var ereference_list_as_key_error ="Odkaz {0} pro t\u0159\u00eddu {1} m\u00e1 mohutnost v\u011bt\u0161\u00ed ne\u017e 1 a nen\u00ed povoleno ho pou\u017e\u00edt jako \u010d\u00e1st kl\u00ed\u010de.";
var multivalue_attr_as_key_error ="Atribut {0} pro t\u0159\u00eddu {1} m\u00e1 mohutnost v\u011bt\u0161\u00ed ne\u017e 1 a nen\u00ed povoleno ho pou\u017e\u00edt jako \u010d\u00e1st kl\u00ed\u010de.";


//ecreator.js
var unable_create_reference_nomodel = "Nelze p\u0159idat eodkaz bez modelu.";
var unable_create_reference_noreference = "Nelze p\u0159idat eodkaz bez odkazu informac\u00ed.";
var add_attribute_2nullclass = "Pokus o p\u0159id\u00e1n\u00ed atribut\u016f do t\u0159\u00eddy null.";
var no_attribute_supply = "Pokus o p\u0159id\u00e1n\u00ed atribut\u016f do et\u0159\u00eddy '{0}', ale \u017e\u00e1dn\u00fd atribut nen\u00ed nahrazen.";
var add_reference_2nullclass = "Pokus o p\u0159id\u00e1n\u00ed eodkazu do t\u0159\u00eddy null.";
var mismatch_reference_length = "Et\u0159\u00edda '{0}' definuje {1} odkazy, ale pouze {2} pro\u0161ly.";


//datagridcontrol.js
var error_datagrid_action = "Chyba v akci datov\u00e9ho \u0159adi\u010de {0}: {1}";
var label_delete = "Odstranit";
var label_add_newrow = "P\u0159idat nov\u00fd \u0159\u00e1dek...";
var label_previous = "<";
var label_next = ">";
var label_accept = "P\u0159ijmout";
var label_cancel = "Storno";
var label_symbol = "Symbol";
var action_datagrid_addrow = "P\u0159id\u00e1n\u00ed \u0159\u00e1dku";
var action_datagrid_removerow = "Odebr\u00e1n\u00ed \u0159\u00e1dku";
var action_datagrid_buildrow = "Sestaven\u00ed \u0159\u00e1dku";
var selectColName = "Vybrat";
var odcDGImgPrevious = "Klepnut\u00edm se dostanete na p\u0159edchoz\u00ed str\u00e1nku.";
var odcDGImgFirst = "Klepnut\u00edm se dostanete na prvn\u00ed str\u00e1nku.";
var odcDGImgNext = "Klepnut\u00edm se dostanete na dal\u0161\u00ed str\u00e1nku.";
var odcDGImgLast = "Klepnut\u00edm se dostanete na posledn\u00ed str\u00e1nku.";
var odcDGImgGo = "Klepnut\u00edm se dostanete na ur\u010ditou str\u00e1nku.";
var odcDGSkipToMainContent = "P\u0159esko\u010dit hlavn\u00ed obsah";
var odcDGAscending = "Vzestupn\u011b \u0159adit";
var odcDGDescending = "Sestupn\u011b \u0159adit";
var odcDGNavigationPage = "Str\u00e1nka {0} z {1}";
var odcDGNavigationJump = "Odskok na str\u00e1nku:";
var invalid_filter_expression = "V\u00fdraz, kter\u00fd jste zadali {0} je neplatn\u00fd, chybov\u00e1 zpr\u00e1va je {1}.";
var odcdgindexhead = "\u0158\u00e1dek #";
var odcDGSelection = "V\u00fdb\u011br";
var odcDGImgSelectAll = "Vybrat v\u0161e";
var odcDGImgUnSelectAll = "Zru\u0161it cel\u00fd v\u00fdb\u011br";
var odcDGImgAddRow = "P\u0159idat nov\u00fd \u0159\u00e1dek";
var odcDGImgDelRow = "Odstranit \u0159\u00e1dek";
var odcDGImgAcceptRow = "P\u0159ijmout";
var odcDGImgCancelRow = "Storno";
var odcDGShowAllCols = "Zobrazit v\u0161echny sloupce";
var odcDGHideCol = "Skr\u00fdt sloupec";


var action_obfcontrolrender_errormsg = "Tento obslu\u017en\u00fd prvek nen\u00ed v\u00e1z\u00e1n k \u017e\u00e1dn\u00e9mu datov\u00e9mu modelu strany klienta \nor datov\u00fd model strany klienta nen\u00ed null.";


//currency.js
var add_mismatch_currencycode = "V\u00fdjimka: p\u0159id\u00e1vaj\u00ed se mno\u017estv\u00ed s odli\u0161n\u00fdmi m\u011bnami . Prvn\u00ed k\u00f3d m\u011bny: {0} je odli\u0161n\u00fd od druh\u00e9ho k\u00f3du m\u011bny: {1}.";
var subtract_mismatch_currencycode = "V\u00fdjimka: od\u010d\u00edtaj\u00ed se mno\u017estv\u00ed s odli\u0161n\u00fdmi m\u011bnami. Prvn\u00ed k\u00f3d m\u011bny : {0} je odli\u0161n\u00fd od druh\u00e9ho k\u00f3du m\u011bny: {1}.";

//NLSService.js
var invalid_date_format = "Nejsou k dispozici \u017e\u00e1dn\u00e9 informace form\u00e1tu dat.";
var invalid_date = "Datum {0} nen\u00ed platn\u00fdm datumem zalo\u017een\u00fdm na form\u00e1tu, kter\u00fd vyb\u00edr\u00e1te: {1}.";
var invalid_time_format = "Nejsou k k dispozici \u017e\u00e1dn\u00e9 informace form\u00e1tu \u010dasu.";
var invalid_time = "\u010cas {0} nen\u00ed platn\u00fdm \u010dasem zalo\u017een\u00fdm na form\u00e1tu, kter\u00fd vyb\u00edr\u00e1te: {1}.";

//tabbedpanelcontrol.js
var label_tab_previous = "< Zp\u011bt";
var label_tab_next = "Dal\u0161\u00ed >";
var label_tab_cancel = "Storno";
var label_tab_finish = "Dokon\u010dit";

//detectBrowser.js
var browser_not_support = "Prohl\u00ed\u017ee\u010d {0}, kter\u00fd pou\u017e\u00edv\u00e1te, nen\u00ed podporov\u00e1n v t\u00e9to aplikaci.";

//treeControl.js
var odcTreeimgExpand = "Klepnut\u00edm rozbal\u00edte.";
var odcTreeimgCollapse = "Klepnut\u00edm sbal\u00edte.";
var odcTreeimgFolderOpen = "Otev\u0159en\u00e1 slo\u017eka";
var odcTreeimgFolderNormal = "Zav\u0159en\u00e1 slo\u017eka";
var odcTreeimgLeaf = "Slo\u017eka";
var odcTreeNoChildErr = "Tento uzel nem\u00e1 k dispozici \u017e\u00e1dn\u00e9 pod\u0159\u00edzen\u00e9 prvky.";
var odcTreeimgTerminal = "Listov\u00fd uzel";

//chart draw variables
var chartdraw_lblPie = "V\u00fdse\u010d";
var chartdraw_lblBar = "Pruh";
var chartdraw_lblLine = "\u010c\u00e1ra";
var chartdraw_tooltipShare = "Sd\u00edlet";
var chartdraw_tooltipSeries = "S\u00e9rie";
var chartdraw_tooltipLabel = "\u0160t\u00edtek";
var chartdraw_tooltipValue = "Hodnota";
var chartdraw_msgPieChartError = "V\u00fdse\u010dov\u00fd graf nelze zakreslit.";
var chartdraw_lblShowAll = "Zobrazit v\u0161echny s\u00e9rie.";
var chartdraw_lblChartType = "Typ grafu";
var chartdraw_lblSeries = "S\u00e9rie";
var no_data_series = "Nejsou zad\u00e1ny \u017e\u00e1dn\u00e9 datov\u00e9 serie. P\u0159idejte alespo\u0148 jednu datovou s\u00e9rii do grafu.";
var no_data_atttribute = "Nen\u00ed zad\u00e1n \u017e\u00e1dn\u00fd datov\u00fd atribut pro s\u00e9rii - {0}. \nVyberte platn\u00fd datov\u00fd atribut pro tuto s\u00e9rii.";
var no_label_attribute = "Nen\u00ed zad\u00e1n \u0161t\u00edtek atributu. \nVyberte platn\u00fd \u0161t\u00edtek atributu.";
var no_group_operation_specified= "Nen\u00ed zad\u00e1na skupinov\u00e1 operace pro s\u00e9rii: \n{0}.";
var invalid_group_operation = "Neplatn\u00e1 skupinov\u00e1 operace - {1} - zadan\u00e1 pro s\u00e9rii - {0}. Povolen\u00e9\nskupinov\u00e9 operace jsou - SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Neplatn\u00fd \u0161t\u00edtek atributu. \nVyberte platn\u00fd \u0161t\u00edtek atributu.";
var invalid_data_atttribute = "Neplatn\u00fd n\u00e1zev datov\u00e9ho atributu zadan\u00fd pro s\u00e9rii - {0}. \nVyberte platn\u00fd datov\u00fd atribut pro tuto s\u00e9rii.";
var invalid_series_attribute_data_type = "Neplatn\u00fd datov\u00fd typ zadan\u00fd pro n\u00e1zev atributu v s\u00e9rii - {0}. \nGraf m\u016f\u017ee b\u00fdt pouze zakreslen, pokud hodnoty atributu jsou \u010d\u00edsla nebo data.";
var null_data_value = "S\u00e9rie - {0}. Obsahuje hodnoty null. \nGraf m\u016f\u017ee b\u00fdt pouze zakreslen, pokud hodnoty atributu neobsahuj\u00ed hodnoty null.";
var thousands_str = "Tis\u00edce";
var thousands10_str = "10 z tis\u00edce";
var thousands100_str = "100 z tis\u00edce";
var millions_str = "Miliony";
var millions10_str = "10 z milionu";
var millions100_str = "100 z milionu";
var billions_str = "Biliony";
var billions10_str = "10 z bilionu";
var billions100_str = "100 z bilionu";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "D\u00e9lka/obsah \u0159et\u011bzce neodpov\u00eddaj\u00ed masce, ke kter\u00e9 jsou aplikov\u00e1ny.";

//webservice
var error_mapping_output = "V\u00fdstupn\u00ed parametr mapuj\u00edc\u00ed v\u00fdraz, kter\u00fd jste zadali, je neplatn\u00fd.";
var no_flash_component = "Nelze naj\u00edt po\u017eadovan\u00fd Flash Player.";
var error_mapping_input = "Vstupn\u00ed parametr mapuj\u00edc\u00ed v\u00fdraz, kter\u00fd jste zadali, je neplatn\u00fd.";
var error_accessing_flash = "Nelze naj\u00edt po\u017eadovan\u00fd Flash Player.";

//progressbar
var start_load_model = "Spustit na\u010d\u00edt\u00e1n\u00ed modelu dat {0}.";
var end_load_model = "Ukon\u010dit na\u010d\u00edt\u00e1n\u00ed modelu dat {0}.";
var start_load_instance = "Spustit na\u010d\u00edt\u00e1n\u00ed instance dat pro model {0}.";
var end_load_instance = "Ukon\u010dit na\u010d\u00edt\u00e1n\u00ed instance dat pro model {0}.";
var start_render_control = "Spustit proveden\u00ed obslu\u017en\u00e9ho prvku {0}.";
var end_render_control = "Ukon\u010dit proveden\u00ed obslu\u017en\u00e9ho prvku {0}.";
var status_string =  "Stav:";
var progressbar_header = "Na\u010d\u00edt\u00e1n\u00ed str\u00e1nky";
var tabbed_panel = "Panel s kartami";
var datagrid = "Datov\u00e1 m\u0159\u00ed\u017eka";
var webservice = "Webov\u00e1 slu\u017eba";
var treeview = "Stromov\u00e9 zobrazen\u00ed";
var graphdraw = "Navrhnout graf";

//xmldata
var invalid_param = "Po\u017eadovan\u00fd parametr '{0}' je null nebo 'nedefinovan\u00fd'";
var invalid_param_type = "Typ parametru '{0}' je neplatn\u00fd";
var xmldata_not_element = "Objekt XMLData mus\u00ed reprezentovat uzel typu 'prvek'";
var invalid_index = "Index mimo rozsah";
var xml_str_type = "XMLData mus\u00ed obsahovat pouze objekty, kter\u00e9 reprezentuj\u00ed uzly typu 'prvek', 'koment\u00e1\u0159', 'atribut' nebo 'text'";
