//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//ODCRegistry.js

var webservice_not_found = "Die Web-Service-Komponente '{0}/{1}' wurde nicht gefunden. ";

//binder.js
var error_on_propertybinder = "Fehler im Eigenschaftsbinder {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Ung\u00fcltiger Wert {0} f\u00fcr Typ {1}";

//eclass.js
var unable_create_object = "Eobject kann ohne Modell nicht erstellt werden.";
var name_notexist_model = "{0} ist im Modell f\u00fcr Klasse {1} nicht vorhanden.";
var invalid_value_4type = "Ung\u00fcltiger Wert {0} f\u00fcr Typ {1}.";
var maximum_size_allowed_attribute = "Die zul\u00e4ssige Maximalgr\u00f6\u00dfe f\u00fcr Attribut {1} ist {0}";
var minimum_size_allowed_attribute = "Die zul\u00e4ssige Mindestgr\u00f6\u00dfe f\u00fcr Attribut {1} ist {0}";
var maximum_size_allowed_reference = "Die zul\u00e4ssige Maximalgr\u00f6\u00dfe f\u00fcr Referenz {1} ist {0}";
var minimum_size_allowed_reference = "Die zul\u00e4ssige Mindestgr\u00f6\u00dfe f\u00fcr Referenz {1} ist {0}";

//eobject.js
var invalid_argument="Ung\u00fcltiges Argument.";
var xml_parse_error = "XML-Fehler in Zeile: {0} Pos: {1} \nQuelle: {2} \nUrsache: {3}";
var missing_model = "Modell fehlt.";
var reference_missing_inmodel = "Die Referenz {0} f\u00fcr Klasse {1} fehlt im Modell.";
var not_a_reference = "{0} ist keine Referenz f\u00fcr Klasse {1}.";
var member_missing_inmodel = "Das Member {0} f\u00fcr Klasse {1} fehlt im Modell.";
var member_not_eatt_or_eref_inmodel = "Das Member {0} f\u00fcr Klasse {1} ist kein Eattribute bzw. keine Ereference im Modell.";
var member__inmodel = "Das Member {0} f\u00fcr Klasse {1} ist kein Eattribute bzw. keine Ereference im Modell.";
var reference_not_class = "Die Referenz {0} f\u00fcr Klasse {1} ist keine Klasse.";
var attribute_not_multivalue_inmodel = "Das Attribut {1} in Klasse {2} darf nicht mehrere Werte haben.";
var class_missing_inmodel = "{0} f\u00fcr Klasse {1} fehlt im Modell."
var attributecalculate_missing_indata = "Attributberechnung {0} in Daten nicht zul\u00e4ssig.";
var unable_create_object = "Eobject f\u00fcr Eigenschaft {0} kann ohne Modell nicht erstellt werden.";
var invalid_property = "Ung\u00fcltige Eigenschaft {0}";
var invalid_expression = "Ung\u00fcltiger Ausdruck: {0}.{1}.";
var property_cant_change = "Die Eigenschaft {0} ist ein berechnetes Attribut oder ein schreibgesch\u00fctztes Attribut, das nicht ge\u00e4ndert werden kann."
var root_member_name_missing_error = "Stammelementname f\u00fcr Querbalkendiagramm fehlt.";
var ecore_namespace_missing_error = "Ecore-Namespace zum Erstellen eines Diffgrams fehlt.";
var ereference_list_as_key_error ="Referenz {0} f\u00fcr Klasse {1} hat eine Kardinalit\u00e4t gr\u00f6\u00dfer als 1 und darf nicht als Teil eines Schl\u00fcssels verwendet werden.";
var multivalue_attr_as_key_error ="Attribut {0} f\u00fcr Klasse {1} hat eine Kardinalit\u00e4t gr\u00f6\u00dfer als 1 und darf nicht als Teil eines Schl\u00fcssels verwendet werden.";


//ecreator.js
var unable_create_reference_nomodel = "Ereferences k\u00f6nnen ohne Modell nicht hinzugef\u00fcgt werden.";
var unable_create_reference_noreference = "Ereferences k\u00f6nnen ohne Referenzinformationen nicht hinzugef\u00fcgt werden.";
var add_attribute_2nullclass = "Versuch, Attribute zu einer Null-Eclass hinzuzuf\u00fcgen.";
var no_attribute_supply = "Versuch, Attribute zur Eclass '{0}' hinzuzuf\u00fcgen, es wird jedoch kein Attribut bereitgestellt.";
var add_reference_2nullclass = "Versuch, Ereferences zu einer Null-Eclass hinzuzuf\u00fcgen.";
var mismatch_reference_length = "Eclass '{0}' definiert {1} Referenzen, es wurden jedoch nur {2} \u00fcbergeben.";


//datagridcontrol.js
var error_datagrid_action = "Fehler bei Datenrasteraktion {0}: {1}";
var label_delete = "L\u00f6schen";
var label_add_newrow = "Neue Zeile hinzuf\u00fcgen...";
var label_previous = "<";
var label_next = ">";
var label_accept = "\u00dcbernehmen";
var label_cancel = "Abbrechen";
var label_symbol = "Symbol";
var action_datagrid_addrow = "Zeile hinzuf\u00fcgen";
var action_datagrid_removerow = "Zeile l\u00f6schen";
var action_datagrid_buildrow = "Zeile erstellen";
var selectColName = "Ausw\u00e4hlen";
var odcDGImgPrevious = "Hier klicken, um zur vorherigen Seite zur\u00fcckzukehren";
var odcDGImgFirst = "Hier klicken, um zur ersten Seite zur\u00fcckzukehren";
var odcDGImgNext = "Hier klicken, um zur n\u00e4chsten Seite zu wechseln";
var odcDGImgLast = "Hier klicken, um zur letzten Seite zu wechseln";
var odcDGImgGo = "Hier klicken, um zur angegebenen Seite zu wechseln";
var odcDGSkipToMainContent = "Zum Hauptinhalt";
var odcDGAscending = "aufsteigend sortieren";
var odcDGDescending = "absteigend sortieren";
var odcDGNavigationPage = " Seite {0} von {1} ";
var odcDGNavigationJump = " Springen zu Seite:  ";
var invalid_filter_expression = "Der Ausdruck, den Sie {0} angegeben haben, ist ung\u00fcltig. Fehlernachricht: {1}";
var odcdgindexhead = "Zeilennummer";
var odcDGSelection = "Auswahl";
var odcDGImgSelectAll = "Alles ausw\u00e4hlen";
var odcDGImgUnSelectAll = "Alles abw\u00e4hlen";
var odcDGImgAddRow = "Neue Zeile hinzuf\u00fcgen";
var odcDGImgDelRow = "Eine Zeile l\u00f6schen";
var odcDGImgAcceptRow = "\u00dcbernehmen";
var odcDGImgCancelRow = "Abbrechen";
var odcDGShowAllCols = "Alle Spalten anzeigen";
var odcDGHideCol = "Spalte ausblenden";


var action_obfcontrolrender_errormsg = "Diese Steuerung ist mit keinem clientseitigen Datenmodell verkn\u00fcpft \noder das Datenmodell auf der Clientseite ist null.";


//currency.js
var add_mismatch_currencycode = "Ausnahmebedingung: Es wurden Summen in unterschiedlichen W\u00e4hrungen hinzugef\u00fcgt. Der erste W\u00e4hrungscode {0} ist nicht mit dem zweiten W\u00e4hrungscode identisch: {1}";
var subtract_mismatch_currencycode = "Ausnahmebedingung: Es wurden Summen in unterschiedlichen W\u00e4hrungen abgezogen. Der erste W\u00e4hrungscode {0} ist nicht mit dem zweiten W\u00e4hrungscode identisch: {1}";

//NLSService.js
var invalid_date_format = "Es sind keine Datumsformatangaben verf\u00fcgbar.";
var invalid_date = "Das Datum {0} ist auf Basis des von Ihnen ausgew\u00e4hlten Formats ung\u00fcltig: {1}";
var invalid_time_format = "Es sind keine Zeitformatangaben verf\u00fcgbar.";
var invalid_time = "Die Zeit {0} ist auf Basis des von Ihnen ausgew\u00e4hlten Formats ung\u00fcltig: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Zur\u00fcck";
var label_tab_next = "Weiter >";
var label_tab_cancel = "Abbrechen";
var label_tab_finish = "Fertig stellen";

//detectBrowser.js
var browser_not_support = "Der von Ihnen verwendete Browser {0} wird in dieser Anwendung nicht unterst\u00fctzt.";

//treeControl.js
var odcTreeimgExpand = "Hier klicken zum Einblenden";
var odcTreeimgCollapse = "Hier klicken zum Ausblenden";
var odcTreeimgFolderOpen = "Ge\u00f6ffneter Ordner";
var odcTreeimgFolderNormal = "Geschlossener Ordner";
var odcTreeimgLeaf = "Ordner";
var odcTreeNoChildErr = "F\u00fcr diesen Knoten sind keine untergeordneten Elemente verf\u00fcgbar";
var odcTreeimgTerminal = "Blattknoten";

//chart draw variables
var chartdraw_lblPie = "Kreis";
var chartdraw_lblBar = "Balken";
var chartdraw_lblLine = "Zeile";
var chartdraw_tooltipShare = "Gemeinsam nutzen";
var chartdraw_tooltipSeries = "Serien";
var chartdraw_tooltipLabel = "Bezeichnung";
var chartdraw_tooltipValue = "Wert";
var chartdraw_msgPieChartError = "Das Kreisdiagramm kann nicht erstellt werden.";
var chartdraw_lblShowAll = "Alle Serien anzeigen";
var chartdraw_lblChartType = "Diagrammtyp";
var chartdraw_lblSeries = "Serien";
var no_data_series = "Es wurden keine Datenserien angegeben. Bitte f\u00fcgen Sie mindestens eine Datenserie zum Diagramm hinzu.";
var no_data_atttribute = "Es wurde kein Datenattributname f\u00fcr die Serie angegeben - {0}. \nBitte w\u00e4hlen Sie f\u00fcr diese Serie ein g\u00fcltiges Datenattribut aus.";
var no_label_attribute = "Es wurde kein Bezeichnungsattribut angegeben. \nBitte w\u00e4hlen Sie ein g\u00fcltiges Bezeichnungsattribut aus.";
var no_group_operation_specified= "Es wurde keine Gruppenoperation f\u00fcr die Serie angegeben: \n{0}.";
var invalid_group_operation = "Ung\u00fcltige Gruppenoperation - {1} - angegeben f\u00fcr Serie - {0}. \nZul\u00e4ssige Gruppenoperationen sind - SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Ung\u00fcltiges Bezeichnungsattribut. \nBitte w\u00e4hlen Sie ein g\u00fcltiges Bezeichnungsattribut aus.";
var invalid_data_atttribute = "Es wurde ein ung\u00fcltiger Datenattributname f\u00fcr die Serie angegeben - {0}. \nBitte w\u00e4hlen Sie f\u00fcr diese Serie ein g\u00fcltiges Datenattribut aus.";
var invalid_series_attribute_data_type = "Es wurde ein ung\u00fcltiger Datentyp f\u00fcr den Attributnamen in der Serie angegeben - {0}. \nDas Diagramm kann nur gezeichnet werden, wenn die Attributwerte Zahlen oder Daten sind.";
var null_data_value = "Serie - {0}. enth\u00e4lt Nullwerte. \nDas Diagramm kann nur angezeigt werden, wenn die Attributwertekeine Nullwerte enthalten.";
var thousands_str = "Tausender";
var thousands10_str = "Zehntausender";
var thousands100_str = "Hunderttausender";
var millions_str = "Millionen";
var millions10_str = "Zehnmillionen";
var millions100_str = "Hundertmillionen";
var billions_str = "Milliarden";
var billions10_str = "Zehnmilliarden";
var billions100_str = "Hundertmilliarden";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "Die L\u00e4nge/der Inhalt der Zeichenfolge stimmt nicht mit der angewendeten Maske \u00fcberein.";

//webservice
var error_mapping_output = "Der angegebene Zuordnungsausdruck f\u00fcr den Ausgabeparameter ist ung\u00fcltig.";
var no_flash_component = "Der erforderliche Flash-Player wurde nicht gefunden.";
var error_mapping_input = "Der angegebene Zuordnungsausdruck f\u00fcr den Eingabeparameter ist ung\u00fcltig.";
var error_accessing_flash = "Der erforderliche Flash-Player wurde nicht gefunden.";

//progressbar
var start_load_model = "Laden des Datenmodells {0} starten";
var end_load_model = "Laden des Datenmodells {0} beenden";
var start_load_instance = "Laden der Instanzdaten f\u00fcr das Modell {0} starten";
var end_load_instance = "Laden der Instanzdaten f\u00fcr das Modell {0} beenden";
var start_render_control = "\u00dcbergabe des Steuerelements {0} starten";
var end_render_control = "\u00dcbergabe des Steuerelements {0} beenden";
var status_string =  "Status : ";
var progressbar_header = "Seite wird geladen";
var tabbed_panel = "Anzeige mit Registerkarten";
var datagrid = "Datenraster";
var webservice = "Webservice";
var treeview = "Baumstruktursicht";
var graphdraw = "Diagrammzeichnung";

//xmldata
var invalid_param = "Der erforderliche Parameter {0} ist Null oder nicht definiert.";
var invalid_param_type = "Der Parametertyp {0} ist ung\u00fcltig.";
var xmldata_not_element = "XMLData-Objekt muss Knoten des Typs 'element' darstellen.";
var invalid_index = "Der Index liegt au\u00dferhalb des g\u00fcltigen Bereichs.";
var xml_str_type = "XMLData darf nur Objekte enthalten, die Knoten des Typs 'element', 'comment', 'attribute' oder 'text' darstellen.";
