//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//ODCRegistry.js

var webservice_not_found = "No se ha podido encontrar el componente de WebService '{0}/{1}' ";

//binder.js
var error_on_propertybinder = "Error en el enlazador de propiedad {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Valor no v\u00e1lido {0} para el tipo {1}";

//eclass.js
var unable_create_object = "No se puede crear un eobject sin modelo.";
var name_notexist_model = "{0} no existe en el modelo para la clase {1}.";
var invalid_value_4type = "Valor no v\u00e1lido {0} para el tipo {1}.";
var maximum_size_allowed_attribute = "El tama\u00f1o m\u00e1ximo permitido es {0} para el atributo {1}";
var minimum_size_allowed_attribute = "El tama\u00f1o m\u00ednimo permitido es {0} para el atributo {1}";
var maximum_size_allowed_reference = "El tama\u00f1o m\u00e1ximo permitido es {0} para la referencia {1}";
var minimum_size_allowed_reference = "El tama\u00f1o m\u00ednimo permitido es {0} para la referencia {1}";

//eobject.js
var invalid_argument="Argumento no v\u00e1lido.";
var xml_parse_error = "Error Xml en L\u00ednea: {0} Pos: {1} \nOrigen: {2} \nRaz\u00f3n: {3}";
var missing_model = "Modelo faltante.";
var reference_missing_inmodel = "Falta la referencia {0} para la clase {1} en el modelo.";
var not_a_reference = "{0} no es una referencia de la clase {1}.";
var member_missing_inmodel = "Falta el miembro {0} para la clase {1} en el modelo.";
var member_not_eatt_or_eref_inmodel = "El miembro {0} para la clase {1} no es un eattribute ni una ereference en el modelo.";
var member__inmodel = "El miembro {0} para la clase {1} no es un eattribute ni una ereference en el modelo.";
var reference_not_class = "La referencia {0} para la clase {1} no es una clase.";
var attribute_not_multivalue_inmodel = "el atributo {1} de la clase {2} no permite varios valores.";
var class_missing_inmodel = "Falta {0} para la clase {1} en el modelo."
var attributecalculate_missing_indata = "El c\u00e1lculo de atributo {0} no debe existir en los datos.";
var unable_create_object = "No se puede crear un eobject para la propiedad {0} sin modelo.";
var invalid_property = "Propiedad no v\u00e1lida {0}";
var invalid_expression = "Expresi\u00f3n no v\u00e1lida: {0}.{1}.";
var property_cant_change = "La propiedad {0} es un atributo calculado o un atributo solo de lectura que no puede cambiarse."
var root_member_name_missing_error = "Falta el nombre del miembro ra\u00edz para el gr\u00e1fico de traves\u00eda";
var ecore_namespace_missing_error = "Falta el espacio de nombres Ecore para generar un diffgram";
var ereference_list_as_key_error ="La referencia {0} para la clase {1} tiene una cardinalidad mayor que 1 y no puede utilizarse como parte de una clave.";
var multivalue_attr_as_key_error ="El atributo {0} para la clase {1} tiene una cardinalidad mayor que 1 y no puede utilizarse como parte de una clave.";


//ecreator.js
var unable_create_reference_nomodel = "No se pueden a\u00f1adir ereferences sin modelo.";
var unable_create_reference_noreference = "No se pueden a\u00f1adir ereferences sin informaci\u00f3n de referencia.";
var add_attribute_2nullclass = "Se est\u00e1 intentando a\u00f1adir atributos a una eclass nula.";
var no_attribute_supply = "Se est\u00e1 intentando a\u00f1adir atributos a la eclass '{0}' pero no se proporciona ning\u00fan atributo.";
var add_reference_2nullclass = "Se est\u00e1 intentando a\u00f1adir ereferences a una eclass nula.";
var mismatch_reference_length = "eclass '{0}' define {1} referencias, pero solo se han pasado {2}.";


//datagridcontrol.js
var error_datagrid_action = "Error en acci\u00f3n de cuadr\u00edcula de datos {0}: {1}";
var label_delete = "Suprimir";
var label_add_newrow = "A\u00f1adir fila nueva...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Aceptar";
var label_cancel = "Cancelar";
var label_symbol = "s\u00edmbolo";
var action_datagrid_addrow = "a\u00f1adiendo fila";
var action_datagrid_removerow = "eliminando fila";
var action_datagrid_buildrow = "construyendo fila";
var selectColName = "Selecci\u00f3n";
var odcDGImgPrevious = "pulse para ir a la p\u00e1gina anterior";
var odcDGImgFirst = "pulse para ir a la primera p\u00e1gina";
var odcDGImgNext = "pulse para ir a la p\u00e1gina siguiente";
var odcDGImgLast = "pulse para ir a la \u00faltima p\u00e1gina";
var odcDGImgGo = "pulse para ir a la p\u00e1gina especificada";
var odcDGSkipToMainContent = "saltar al contenido principal";
var odcDGAscending = "ordenaci\u00f3n ascendente";
var odcDGDescending = "ordenaci\u00f3n descendente";
var odcDGNavigationPage = " P\u00e1gina {0} de {1} ";
var odcDGNavigationJump = " Saltar a p\u00e1gina:  ";
var invalid_filter_expression = "La expresi\u00f3n especificada {0} no es v\u00e1lida, el mensaje de error es {1}";
var odcdgindexhead = "Fila n\u00ba";
var odcDGSelection = "Selecci\u00f3n";
var odcDGImgSelectAll = "Seleccionar todo";
var odcDGImgUnSelectAll = "Deseleccionar todo";
var odcDGImgAddRow = "A\u00f1adir una fila nueva";
var odcDGImgDelRow = "Suprimir una fila";
var odcDGImgAcceptRow = "Aceptar";
var odcDGImgCancelRow = "Cancelar";
var odcDGShowAllCols = "Mostrar todas las columnas";
var odcDGHideCol = "Ocultar columna";


var action_obfcontrolrender_errormsg = "Este control no est\u00e1 enlazado a ning\u00fan modelo de datos de lado del cliente \no el modelo de datos del lado del cliente es nulo.";


//currency.js
var add_mismatch_currencycode = "Excepci\u00f3n: adici\u00f3n de cantidades en varias divisas. El primer c\u00f3digo de divisa: {0} es diferente al segundo c\u00f3digo de divisa: {1}";
var subtract_mismatch_currencycode = "Excepci\u00f3n: sustracci\u00f3n de cantidades en varias divisas. El primer c\u00f3digo de divisa: {0} es diferente al segundo c\u00f3digo de divisa: {1}";

//NLSService.js
var invalid_date_format = "No hay informaci\u00f3n de formato de fecha disponible.";
var invalid_date = "La fecha {0} no es una fecha v\u00e1lida seg\u00fan el formato elegido: {1}";
var invalid_time_format = "No hay informaci\u00f3n de formato de hora disponible.";
var invalid_time = "La hora {0} no es una hora v\u00e1lida seg\u00fan el formato elegido: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Anterior";
var label_tab_next = "Siguiente >";
var label_tab_cancel = "Cancelar";
var label_tab_finish = "Finalizar";

//detectBrowser.js
var browser_not_support = "El navegador {0} que est\u00e1 utilizando no est\u00e1 soportado en esta aplicaci\u00f3n.";

//treeControl.js
var odcTreeimgExpand = "Pulse para expandir";
var odcTreeimgCollapse = "Pulse para contraer";
var odcTreeimgFolderOpen = "Carpeta abierta";
var odcTreeimgFolderNormal = "Carpeta cerrada";
var odcTreeimgLeaf = "Carpeta";
var odcTreeNoChildErr = "Este nodo no dispone de hijos";
var odcTreeimgTerminal = "Nodo hoja";

//chart draw variables
var chartdraw_lblPie = "Gr\u00e1fico circular";
var chartdraw_lblBar = "Barra";
var chartdraw_lblLine = "L\u00ednea";
var chartdraw_tooltipShare = "Compartimiento";
var chartdraw_tooltipSeries = "Series";
var chartdraw_tooltipLabel = "Etiqueta";
var chartdraw_tooltipValue = "Valor";
var chartdraw_msgPieChartError = "No se puede trazar el diagrama circular.";
var chartdraw_lblShowAll = "Mostrar todas las series";
var chartdraw_lblChartType = "Tipo de diagrama";
var chartdraw_lblSeries = "Series";
var no_data_series = "No se han especificado series de datos. A\u00f1ada como m\u00ednimo una serie de datos al gr\u00e1fico.";
var no_data_atttribute = "No se ha especificado ning\u00fan nombre de atributo para serie - {0}. \nSeleccione un atributo de datos v\u00e1lido para esta serie.";
var no_label_attribute = "No se ha especificado ning\u00fan atributo de etiqueta. \nSeleccione un atributo de etiqueta v\u00e1lido.";
var no_group_operation_specified= "No se ha especificado ninguna operaci\u00f3n de grupo para la serie: \n{0}.";
var invalid_group_operation = "Operaci\u00f3n de grupo no v\u00e1lida - {1} - especificada para serie - {0}. \nLas operaciones de grupo permitidas son - SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Atributo de etiqueta no v\u00e1lido. \nSeleccione un atributo de etiqueta v\u00e1lido.";
var invalid_data_atttribute = "Nombre de atributo de datos no v\u00e1lido para serie - {0}. \nSeleccione un atributo de datos v\u00e1lido para esta serie.";
var invalid_series_attribute_data_type = "Tipo de datos no v\u00e1lido para nombre de atributo en serie - {0}. \nEl gr\u00e1fico s\u00f3lo puede trazarse si los valores del atributo son n\u00fameros o fechas.";
var null_data_value = "Serie - {0}. Contiene valores nulos. \nEl gr\u00e1fico solo se puede trazar si los valores de atributo no contienen ning\u00fan valor nulo.";
var thousands_str = "miles";
var thousands10_str = "decenas de miles";
var thousands100_str = "cientos de miles";
var millions_str = "millones";
var millions10_str = "decenas de millones";
var millions100_str = "cientos de millones";
var billions_str = "miles de millones";
var billions10_str = "decenas de miles de millones";
var billions100_str = "cientos de miles de millones";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "La longitud/contenido de la serie no se corresponde con la m\u00e1scara aplicada a ella";

//webservice
var error_mapping_output = "La expresi\u00f3n de correlaci\u00f3n de par\u00e1metros de salida que ha especificado no es v\u00e1lida";
var no_flash_component = "No se puede encontrar el reproductor de flash necesario";
var error_mapping_input = "La expresi\u00f3n de correlaci\u00f3n de par\u00e1metros de entrada que ha especificado no es v\u00e1lida";
var error_accessing_flash = "No se puede encontrar el reproductor de flash necesario";

//progressbar
var start_load_model = "Se empieza a cargar el modelo de datos {0}";
var end_load_model = "Se ha terminado de cargar el modelo de datos {0}";
var start_load_instance = "Se empiezan a cargar los datos de instancia del modelo {0}";
var end_load_instance = "Se han terminado de cargar los datos de instancia del modelo {0}";
var start_render_control = "Se empieza a visualizar el control {0}";
var end_render_control = "Se ha terminado de visualizar el control {0}";
var status_string =  "Estado: ";
var progressbar_header = "Se est\u00e1 cargando la p\u00e1gina";
var tabbed_panel = "Panel con pesta\u00f1as";
var datagrid = "Cuadr\u00edcula de datos";
var webservice = "Servicio Web";
var treeview = "Vista de \u00e1rbol";
var graphdraw = "Gr\u00e1fico";

//xmldata
var invalid_param = "El par\u00e1metro necesario '{0}' es nulo o 'undefined'";
var invalid_param_type = "El tipo de par\u00e1metro '{0}' no es v\u00e1lido";
var xmldata_not_element = "El objeto XMLData debe representar un nodo del tipo 'element'";
var invalid_index = "\u00cdndice fuera de l\u00edmites";
var xml_str_type = "XMLData solo debe contener objetos que representen nodos de tipo 'element', 'comment', 'attribute' o 'text'";
