//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//ODCRegistry.js

var webservice_not_found = "O componente WebService '{0}/{1}' n\u00e3o foi localizado ";

//binder.js
var error_on_propertybinder = "Erro no binder de propriedade {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Valor inv\u00e1lido {0} para tipo {1}";

//eclass.js
var unable_create_object = "Imposs\u00edvel criar eobject sem modelo. ";
var name_notexist_model = "{0} n\u00e3o existe no modelo da classe {1}. ";
var invalid_value_4type = "Valor inv\u00e1lido {0} para tipo {1}.";
var maximum_size_allowed_attribute = "O tamanho m\u00e1ximo permitido \u00e9 {0} para o atributo {1}";
var minimum_size_allowed_attribute = "O tamanho m\u00ednimo permitido \u00e9 {0} para o atributo {1}";
var maximum_size_allowed_reference = "O tamanho m\u00e1ximo permitido \u00e9 {0} para a refer\u00eancia {1}";
var minimum_size_allowed_reference = "O tamanho m\u00ednimo permitido \u00e9 {0} para a refer\u00eancia {1}";

//eobject.js
var invalid_argument="Argumento Inv\u00e1lido. ";
var xml_parse_error = "Erro de Xml na Linha: {0} Pos.: {1} \nOrigem: {2} \nRaz\u00e3o: {3}";
var missing_model = "Modelo Ausente. ";
var reference_missing_inmodel = "A refer\u00eancia {0} da classe {1} est\u00e1 ausente no modelo. ";
var not_a_reference = "{0} n\u00e3o \u00e9 uma refer\u00eancia da classe {1}. ";
var member_missing_inmodel = "O membro {0} da classe {1} est\u00e1 ausente no modelo. ";
var member_not_eatt_or_eref_inmodel = "O membro {0} da classe {1} n\u00e3o \u00e9 nem um eattribute, nem uma ereference no modelo. ";
var member__inmodel = "O membro {0} da classe {1} n\u00e3o \u00e9 nem um eattribute, nem uma ereference no modelo. ";
var reference_not_class = "A refer\u00eancia {0} da classe {1} n\u00e3o \u00e9 uma classe. ";
var attribute_not_multivalue_inmodel = "O atributo {1} na classe {2} n\u00e3o permite valores m\u00faltiplos. ";
var class_missing_inmodel = "{0} da classe {1} est\u00e1 ausente no modelo. "
var attributecalculate_missing_indata = "C\u00e1lculo do atributo {0} n\u00e3o deve existir nos dados. ";
var unable_create_object = "Imposs\u00edvel criar o eobject para propriedade {0} sem modelo. ";
var invalid_property = "Propriedade Inv\u00e1lida {0}";
var invalid_expression = "Express\u00e3o Inv\u00e1lida: {0}.{1}.";
var property_cant_change = "A propriedade {0} \u00e9 um atributo calculado ou de somente leitura que n\u00e3o pode ser alterado. "
var root_member_name_missing_error = "O nome do membro raiz para passagem do gr\u00e1fico est\u00e1 ausente";
var ecore_namespace_missing_error = "O espa\u00e7o de nomes Ecore para gera\u00e7\u00e3o de um diffgram est\u00e1 ausente";
var ereference_list_as_key_error ="A refer\u00eancia {0} da classe {1} tem uma cardinalidade maior que 1; n\u00e3o se permite que seja utilizada como parte de uma chave. ";
var multivalue_attr_as_key_error ="O atributo {0} da classe {1} tem uma cardinalidade maior que 1; n\u00e3o se permite que seja utilizado como parte de uma chave. ";


//ecreator.js
var unable_create_reference_nomodel = "Imposs\u00edvel incluir ereferences sem modelo. ";
var unable_create_reference_noreference = "Imposs\u00edvel incluir ereferences sem informa\u00e7\u00f5es de refer\u00eancia. ";
var add_attribute_2nullclass = "Tentativa para incluir Attributes numa eclass nula. ";
var no_attribute_supply = "Tentativa para incluir Attributes na eclass '{0}', mas nenhum atributo est\u00e1 sendo fornecido. ";
var add_reference_2nullclass = "Tentativa para incluir ereferences numa eclass nula. ";
var mismatch_reference_length = "A eclass '{0}' define {1} refer\u00eancias, mas somente {2} foram informadas. ";


//datagridcontrol.js
var error_datagrid_action = "Erro na a\u00e7\u00e3o do datagrid {0}: {1}";
var label_delete = "Excluir ";
var label_add_newrow = "Incluir nova linha...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Aceitar";
var label_cancel = "Cancelar";
var label_symbol = "s\u00edmbolo";
var action_datagrid_addrow = "incluindo linha";
var action_datagrid_removerow = "removendo linha";
var action_datagrid_buildrow = "construindo linha";
var selectColName = "Selecionar";
var odcDGImgPrevious = "clique para ir para p\u00e1gina anterior";
var odcDGImgFirst = "clique para ir para primeira p\u00e1gina";
var odcDGImgNext = "clique para ir para pr\u00f3xima p\u00e1gina";
var odcDGImgLast = "clique para ir para \u00faltima p\u00e1gina";
var odcDGImgGo = "clique para ir para p\u00e1gina especificada";
var odcDGSkipToMainContent = "ir para conte\u00fado principal";
var odcDGAscending = "classifica\u00e7\u00e3o crescente";
var odcDGDescending = "classifica\u00e7\u00e3o decrescente";
var odcDGNavigationPage = " P\u00e1gina {0} de {1} ";
var odcDGNavigationJump = "Pular para a p\u00e1gina: ";
var invalid_filter_expression = "A express\u00e3o {0} especificada \u00e9 inv\u00e1lida; a mensagem de erro \u00e9 {1}";
var odcdgindexhead = "Linha #";
var odcDGSelection = "Sele\u00e7\u00e3o";
var odcDGImgSelectAll = "Selecionar Tudo";
var odcDGImgUnSelectAll = "Remover Toda Sele\u00e7\u00e3o";
var odcDGImgAddRow = "Incluir uma nova linha";
var odcDGImgDelRow = "Excluir uma linha";
var odcDGImgAcceptRow = "Aceitar";
var odcDGImgCancelRow = "Cancelar";
var odcDGShowAllCols = "Mostrar Todas as Colunas";
var odcDGHideCol = "Ocultar Coluna";


var action_obfcontrolrender_errormsg = "Este controle n\u00e3o est\u00e1 vinculado a nenhum modelo de dados do lado do cliente \nou tal modelo \u00e9 nulo. ";


//currency.js
var add_mismatch_currencycode = "Exce\u00e7\u00e3o: adi\u00e7\u00e3o de valores com moedas diferentes. O c\u00f3digo da primeira moeda, {0}, \u00e9 diferente do c\u00f3digo da segunda moeda, {1}";
var subtract_mismatch_currencycode = "Exce\u00e7\u00e3o: subtra\u00e7\u00e3o de valores com moedas diferentes. O c\u00f3digo da primeira moeda, {0}, \u00e9 diferente do c\u00f3digo da segunda moeda, {1}";

//NLSService.js
var invalid_date_format = "N\u00e3o h\u00e1 nenhuma informa\u00e7\u00e3o dispon\u00edvel sobre formato de data. ";
var invalid_date = "A data {0} n\u00e3o \u00e9 uma data v\u00e1lida em rela\u00e7\u00e3o ao formato escolhido: {1}";
var invalid_time_format = "N\u00e3o h\u00e1 nenhuma informa\u00e7\u00e3o dispon\u00edvel sobre o formato da hora. ";
var invalid_time = "A hora {0} n\u00e3o \u00e9 uma hora v\u00e1lida em rela\u00e7\u00e3o ao formato escolhido: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Voltar";
var label_tab_next = "Avan\u00e7ar >";
var label_tab_cancel = "Cancelar";
var label_tab_finish = "Concluir";

//detectBrowser.js
var browser_not_support = "O navegador {0} que est\u00e1 sendo utilizado n\u00e3o \u00e9 suportado neste aplicativo. ";

//treeControl.js
var odcTreeimgExpand = "Clicar para Expandir";
var odcTreeimgCollapse = "Clicar para Reduzir";
var odcTreeimgFolderOpen = "Pasta Aberta";
var odcTreeimgFolderNormal = "Pasta Fechada";
var odcTreeimgLeaf = "Pasta";
var odcTreeNoChildErr = "Este n\u00f3 n\u00e3o possui nenhum filho dispon\u00edvel";
var odcTreeimgTerminal = "N\u00f3 da Folha";

//chart draw variables
var chartdraw_lblPie = "Pizza";
var chartdraw_lblBar = "Barra";
var chartdraw_lblLine = "Linhas";
var chartdraw_tooltipShare = "Fatia";
var chartdraw_tooltipSeries = "Seq\u00fc\u00eancia";
var chartdraw_tooltipLabel = "Etiqueta";
var chartdraw_tooltipValue = "Valor";
var chartdraw_msgPieChartError = "Imposs\u00edvel gerar gr\u00e1fico de pizza";
var chartdraw_lblShowAll = "Mostrar Toda Seq\u00fc\u00eancia";
var chartdraw_lblChartType = "Tipo de Gr\u00e1fico";
var chartdraw_lblSeries = "Seq\u00fc\u00eancia";
var no_data_series = "Nenhuma seq\u00fc\u00eancia de dados especificada. Inclua pelo menos uma seq\u00fc\u00eancia no gr\u00e1fico. ";
var no_data_atttribute = "Nenhum nome de atributo dados especificado para seq\u00fc\u00eancia - {0}. \nSelecione um atributo dados v\u00e1lido para essa seq\u00fc\u00eancia. ";
var no_label_attribute = "Nenhum atributo etiqueta especificado. \nSelecione um atributo etiqueta v\u00e1lido. ";
var no_group_operation_specified= "Nenhuma opera\u00e7\u00e3o de grupo especificada para a seq\u00fc\u00eancia: \n{0}. ";
var invalid_group_operation = "Opera\u00e7\u00e3o de grupo inv\u00e1lida, {1}, especificada para seq\u00fc\u00eancia {0}. \nAs opera\u00e7\u00f5es de grupo permitidas s\u00e3o:  SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Atributo de etiqueta inv\u00e1lido. \nSelecione um atributo de etiqueta v\u00e1lido. ";
var invalid_data_atttribute = "Nome de atributo de dados inv\u00e1lido especificado para seq\u00fc\u00eancia - {0}. \nSelecione um atributo de dados v\u00e1lido para essa seq\u00fc\u00eancia. ";
var invalid_series_attribute_data_type = "Tipo de dados inv\u00e1lido especificado para o nome do atributo na seq\u00fc\u00eancia {0}. \nO gr\u00e1fico s\u00f3 poder\u00e1 ser plotado se os valores dos atributos forem n\u00fameros ou datas. ";
var null_data_value = "A seq\u00fc\u00eancia {0} cont\u00e9m valores nulos. \nO gr\u00e1fico s\u00f3 poder\u00e1 ser plotado se os valores dos atributos n\u00e3o contiverem valores nulos. ";
var thousands_str = "milhares";
var thousands10_str = "dezenas de milhares";
var thousands100_str = "centenas de milhares";
var millions_str = "milh\u00f5es";
var millions10_str = "dezenas de milh\u00f5es";
var millions100_str = "centenas de milh\u00f5es";
var billions_str = "bilh\u00f5es";
var billions10_str = "dezenas de bilh\u00f5es";
var billions100_str = "centenas de bilh\u00f5es";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "O comprimento/conte\u00fado da cadeia n\u00e3o corresponde \u00e0 mascara aplicada a ele";

//webservice
var error_mapping_output = "A express\u00e3o de mapeamento de par\u00e2metro de sa\u00edda especificada \u00e9 inv\u00e1lida";
var no_flash_component = "N\u00e3o foi poss\u00edvel localizar o jogador de flash requerido";
var error_mapping_input = "A express\u00e3o de mapeamento de par\u00e2metro de entrada especificada \u00e9 inv\u00e1lida";
var error_accessing_flash = "N\u00e3o foi poss\u00edvel localizar o jogador de flash requerido";

//progressbar
var start_load_model = "Iniciar carregamento de modelo de dados {0}";
var end_load_model = "Finalizar modelo de dados de carregamento {0}";
var start_load_instance = "Iniciar dados de inst\u00e2ncias de carregamento para modelo {0}";
var end_load_instance = "Finalizar dados de inst\u00e2ncias de carregamento para modelo {0}";
var start_render_control = "Iniciar controle de restitui\u00e7\u00e3o {0}";
var end_render_control = "Finalizar controle de restitui\u00e7\u00e3o {0}";
var status_string =  "Status : ";
var progressbar_header = "Carregando P\u00e1gina";
var tabbed_panel = "Painel Tabulado";
var datagrid = "Grade de Dados";
var webservice = "Servi\u00e7o da Web";
var treeview = "Visualiza\u00e7\u00e3o em \u00c1rvore";
var graphdraw = "Desenho Gr\u00e1fico";

//xmldata
var invalid_param = "O par\u00e2metro requerido '{0}' \u00e9 nulo ou est\u00e1 'indefinido'";
var invalid_param_type = "O tipo de par\u00e2metro '{0}' \u00e9 inv\u00e1lido";
var xmldata_not_element = "O objeto XMLData deve representar o n\u00f3 do tipo 'elemento'";
var invalid_index = "\u00cdndice fora dos limites";
var xml_str_type = "XMLData deve conter apenas objetos que representem n\u00f3s do tipo 'elemento', 'coment\u00e1rio', 'atributo' ou 'texto'";
