//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//binder.js
var error_on_propertybinder = "Erro no propertybinder {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Valor {0} no vlido para o tipo {1}";

//eclass.js
var unable_create_object = "No foi possvel criar eobject sem modelo.";
var name_notexist_model = "{0} no existe no modelo para a classe {1}.";
var invalid_value_4type = "Valor {0} no vlido para o tipo {1}.";
var maximum_size_allowed_attribute = "O tamanho mximo permitido para o atributo {1}  {0}";
var minimum_size_allowed_attribute = "O tamanho mnimo permitido para o atributo {1}  {0}";
var maximum_size_allowed_reference = "O tamanho mximo permitido para a referncia {1}  {0}";
var minimum_size_allowed_reference = "O tamanho mnimo permitido para a referncia {1}  {0}";

//eobject.js
var invalid_argument="Argumento no vlido";
var xml_parse_error = "Erro de XML na Linha: {0} Pos: {1} \nFonte: {2} \nMotivo: {3}";
var missing_model = "Modelo em falta.";
var reference_missing_inmodel = "Referncia {0} para classe {1} em falta no modelo.";
var reference_not_class = "Referncia {0} para classe {1} no  uma classe.";
var reference_not_indocument = "Referncia {0} do atributo {1} no objecto {2} no localizada no documento.";
var class_missing_inmodel = "{0} para classe {1} em falta no modelo."
var attributecalculate_missing_indata = "Clculo do atributo {0} no pode existir nos dados.";
var unable_create_object = "No foi possvel criar eobject para propriedade {0} sem modelo.";
var invalid_property = "Propriedade no vlida {0}";
var invalid_expression = "Expresso no vlida: {0}.{1}.";
var property_cant_change = "No  possvel alterar a propriedade {0}."

//ecreator.js
var unable_create_reference_nomodel = "No foi possvel adicionar EReferences sem modelo.";
var unable_create_reference_noreference = "No foi possvel adicionar EReferences sem informaes de referncia.";
var add_attribute_2nullclass = "A tentar adicionar Atributos a uma EClass nula.";
var no_attribute_supply = "A tentar adicionar Atributos a EClass '{0}', mas no foi fornecido qualquer atributo.";
var add_reference_2nullclass = "A tentar adicionar EReferences a uma EClass nula.";
var mismatch_reference_length = "EClass '{0}' define {1} referncias, mas s foram transferidas {2}.";

//calendarcontrol.js
var month_jan = "Janeiro";
var month_feb = "Fevereiro";
var month_mar = "Maro";
var month_apr = "Abril";
var month_may = "Maio";
var month_jun = "Junho";
var month_jul = "Julho";
var month_aug = "Agosto";
var month_sep = "Setembro";
var month_oct = "Outubro";
var month_nov = "Novembro";
var month_dec = "Dezembro";
var week_su = "Dom";
var week_mo = "Seg";
var week_tu = "Ter";
var week_we = "Qua";
var week_th = "Qui";
var week_fr = "Sex";
var week_sa = "Sab";
var form_name_required = 'O nome de formulrio  um parmetro requerido do mtodo de desenho.';
var form_name_notfound = "No  possvel localizar o formulrio '{0}' no documento.";
var invalid_date_format = "Formato de data no vlido: '{0}'.\nO formato aceite  dd-mm-aaaa.";
var invalid_date_format_noday = "Formato de data no vlido: '{0}'.\nNo  possvel localizar valor para dia do ms.";
var invalid_dayofmonth_value = "Valor de dia do ms no vlido: '{0}'.\nOs valores permitidos so nmeros inteiros sem sinal."
var invalid_date_format_nomonth = "Formato de data no vlido: '{0}'.\nNo  possvel localizar valor de ms."
var invalid_month_value = "Valor de ms no vlido: '{0}'.\nOs valores permitidos so nmeros inteiros sem sinal.";
var invalid_date_format_noyear = "Formato de data no vlido: '{0}'.\nNo  possvel localizar valor de ano.";
var invalid_year_value = "Valor de ano no vlido: '{0}'.\nOs valores permitidos so nmeros inteiros sem sinal.";
var invalid_month12_value = "Valor de ms no vlido: '{0}'.\nO intervalo permitido  01-12.";
var invalid_dayofmonth_detail = "Valor de dia do ms no vlido: '{0}'.\nO intervalo permitido  01-{1}.";



//datagridcontrol.js
var error_datagrid_action = "Erro na aco da grelha de dados {0}: {1}";
var label_delete = "Eliminar";
var label_add_newrow = "Acrescentar nova linha...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Aceitar";
var label_cancel = "Cancelar";
var label_symbol = "smbolo";
var action_datagrid_addrow = "ADICIONARLINHA";
var action_datagrid_removerow = "REMOVERLINHA";
var symbol = "Smbolo";
var price = "Preo";
var quantity = "Quantidade";
var total = "Total";
var name = "Nome";
var selectColName = "Select";
var odcDGImgPrevious = "click to go to previous page";
var odcDGImgFirst = "click to go to first page";
var odcDGImgNext = "click to to to next page";
var odcDGImgLast = "click to go to last page";
var odcDGImgGo = "click to go to the page you specify";
var odcDGSkipToMainContent = "skip to main content";



//currency.js
var add_mismatch_currencycode = "Excepo: adio de montantes em diferentes unidades monetrias. O cdigo da primeira unidade monetria: {0}  diferente do cdigo da segunda unidade monetria: {1}";
var subtract_mismatch_currencycode = "Excepo: subtraco de montantes em diferentes unidades monetrias. O cdigo da primeira unidade monetria: {0}  diferente do cdigo da segunda unidade monetria: {1}";

//NLSService.js
var invalid_date_format = "no existe informao disponvel sobre formato de data.";

//tabbedpanelcontrol.js
var label_tab_previous = "Anterior";
var label_tab_next = "Seguinte";
var label_tab_finish = "Concluir";

//detectBrowser.js
var browser_not_support = "O browser {0} que est a utilizar no  suportado por esta aplicao.";


//treeControl.js
var odcTreeimgExpand = "click to expand node";
var odcTreeimgCollapse = "click to collapse node";
var odcTreeimgRootOpen = "opened root icon";
var odcTreeimgRootClose = "closed root icon";
var odcTreeimgFolderOpen = "expanded folder icon";
var odcTreeimgFolderNormal = "collapsed folder icon";
var odcTreeimgLeaf = "leaf icon";



//######################################################################################
//# The following lines are for date & time format. Please don't translate token which is
//# between "$$" and "$$ such as "$$YYYY$$". But you can move the token around based on the
//# locale.
//#######################################################################################

//for date & time formatting
var dateFormat="$$MM$/$$DD$/$$YYYY$";
timeFormat="$$HH$:$$MM$:$$SS$";
AM="AM";
PM="PM";

//chart draw variables
var chartdraw_pie="Pie";
var chartdraw_line="Line";
var chartdraw_bar="Bar";
var chartdraw_toolTipText_Label = "Label";
var chartdraw_toolTipText_Value = "Value";
var chartdraw_toolTipText_Share = "Share";
//######################################################################################
//# End Comments
//#######################################################################################
